%% Create GeniE file for making sets, where large changes in members are added

%% FILE: Create GeniE JS-file to create sets containing negative members
%For each run, add negative members to set
file_js='GeniE_Set_Negative_Members.js';
file_js50='GeniE_Set_Negative_MembersLT50.js';
file_js10='GeniE_Set_Negative_MembersLT10.js';
fid_js=fopen(file_js,'w');
fid_js50=fopen(file_js50,'w');
fid_js10=fopen(file_js10,'w');
fid_lt=[0 fid_js50 0 fid_js10];
if fid_js<0
    disp('ERROR: Could not write member data to GeniE JS file!');
    disp(file_js);
    return;
end

%reduction in fatlifs to consider when creating sets:
red=[80 50 30 10];

%Create file
for i=1:nruns
    for j=1:length(red)
        if red(j)==50 || red(j)==10
            fprintf(fid_lt(j),'LT%dSetdam_%d_Run_%d_NegMemb = Set ();\n',red(j),dam_in_set(i),run_id(i));
        end
        fprintf(fid_js,'Setdam_%d_Run_%d_NegMembLT%d = Set ();\n',dam_in_set(i),run_id(i),red(j));
        tmp=unique(sort(member_init(change_fatlif(i,:)<=red(j)/100)));
        for k=1:length(tmp)
            fprintf(fid_js,'Setdam_%d_Run_%d_NegMembLT%d.add(Bm%d);\n',dam_in_set(i),run_id(i),red(j),tmp(k));
            if red(j)==50 || red(j)==10
                fprintf(fid_lt(j),'LT%dSetdam_%d_Run_%d_NegMemb.add(Bm%d);\n',red(j),dam_in_set(i),run_id(i),tmp(k));
            end
        end
    end
end

fclose(fid_js);
fclose(fid_js50);
fclose(fid_js10);
