%% FILE: Write results to formatted text files
%Create a new dir for MATLAB results (post-processing)
dir_res_init={'./BATCH/RESULTS_BATCH/MATLAB Init'};
dir_res=cell(1,nruns);
for i=1:nruns
    dir_res(i)={['./BATCH/RESULTS_BATCH/MATLAB EL-' num2str(run_id(i))]};      
end
    
if write_new_files==true
    fprintf('Write new files...');

    %Delete old plot files
    if delete_old==true
        if exist('MATLAB FILES','dir')
            rmdir('MATLAB FILES','s');
        end
    end

    %Init
    create_data_files(char(dir_res_init),[],damage_init(:),fatlif_init(:),joint_init(:),member_init(:),char(member_type_init(:)));

    %Damage scenarios
    tmp_prgs=0;

    for i=1:nruns
        tmp_prgs=progress(i,nruns,tmp_prgs);

        %Create file
        create_data_files(char(dir_res(i)),run_id(i),damage(i,:),fatlif(i,:),joint(i,:),member_init(:),char(member_type_init(:)));

    end

    fprintf('\t\tOK!\n');
    logfile(20);
    toc
end