function []=logfile(id,opt_string,opt_mat)

global fid_log fid_log_all fid_log1 fid_log_all1


if ~isequal(id,-2) && ~isequal(id,-1) && ~isequal(id,0) && ~isequal(id,1) && ~isequal(id,2)
    fprintf(fid_log,'[%s]   ',datestr(now,13));
    fprintf(fid_log_all,'[%s]   ',datestr(now,13));
end

if isempty(id)
    fprintf(fid_log,'%s\n',opt_string);
    fprintf(fid_log_all,'%s\n',opt_string);
    
elseif id==-2
    fprintf(fid_log,'\n');
    fprintf(fid_log_all,'\n');
    
elseif id==-1
    dlmwrite('logfile.log', opt_mat, 'delimiter', '\t', 'precision', 6,'-append');
    dlmwrite('logfile_all.log', opt_mat, 'delimiter', '\t', 'precision', 6,'-append');
    
elseif id==0
    fprintf(fid_log,'%s ',opt_string);
    fprintf(fid_log_all,'%s ',opt_string);
    
elseif id==1
    fprintf(fid_log1,'\n\n\n###############################################\n');
    fprintf(fid_log1,'Log started %s at %s\n',date,datestr(now,13));
    fprintf(fid_log_all1,'\n\n\n###############################################\n');
    fprintf(fid_log_all1,'Log started %s at %s\n',date,datestr(now,13));
elseif id==2
    fprintf(fid_log1,'\n\n');
    fprintf(fid_log1,' __________________________________________________________ \n');
    fprintf(fid_log1,'|         POST LIS FILES: A Post-Processing Script         |\n');
    fprintf(fid_log1,'|              for Fatigue Damage Calculated By            |\n');
    fprintf(fid_log1,'|                    SESAM - FRAMEWORK                     |\n');
    fprintf(fid_log1,'|----------------------------------------------------------|\n');
    fprintf(fid_log1,'| Written by: Arve Flesche (arve.flesche@akersolutions.com)|\n');
    fprintf(fid_log1,'| Date      : 01.06.2012                                   |\n');
    fprintf(fid_log1,'| Version   : 0.4.5                                        |\n'); 
    fprintf(fid_log1,'|                                                          |\n');
    fprintf(fid_log1,'|           AKER SOLUTIONS MMO AS C&T BERGEN               |\n');
    fprintf(fid_log1,'|__________________________________________________________|\n');
    fprintf(fid_log1,'\n\n\n');
    
    fprintf(fid_log_all1,'\n\n');
    fprintf(fid_log_all1,' __________________________________________________________ \n');
    fprintf(fid_log_all1,'|         POST LIS FILES: A Post-Processing Script         |\n');
    fprintf(fid_log_all1,'|              for Fatigue Damage Calculated By            |\n');
    fprintf(fid_log_all1,'|                    SESAM - FRAMEWORK                     |\n');
    fprintf(fid_log_all1,'|----------------------------------------------------------|\n');
    fprintf(fid_log_all1,'| Written by: Arve Flesche (arve.flesche@akersolutions.com)|\n');
    fprintf(fid_log_all1,'| Date      : 01.06.2012                                   |\n');
    fprintf(fid_log_all1,'| Version   : 0.4.5                                        |\n'); 
    fprintf(fid_log_all1,'|                                                          |\n');
    fprintf(fid_log_all1,'|           AKER SOLUTIONS MMO AS C&T BERGEN               |\n');
    fprintf(fid_log_all1,'|__________________________________________________________|\n');
    fprintf(fid_log_all1,'\n\n\n');    
    
elseif id==3
    fprintf(fid_log,'Starting from scratch...\n');
    fprintf(fid_log_all,'Starting from scratch...\n');
    
elseif id==4
    fprintf(fid_log,'Using Workspace Variables!\n');
    fprintf(fid_log_all,'Using Workspace Variables!\n');

elseif id==5
    fprintf(fid_log,'Disregarding creation of compact Fatigue Damage ASCII files...\n');
    fprintf(fid_log_all,'Disregarding creation of compact Fatigue Damage ASCII files...\n');
    
elseif id==6
    fprintf(fid_log,'Will create more compact Fatigue Damage ASCII files!\n');
    fprintf(fid_log_all,'Will create more compact Fatigue Damage ASCII files!\n');
   
elseif id==7
    fprintf(fid_log,'Will keep old result files...\n');
    fprintf(fid_log_all,'Will keep old result files...\n');
    
elseif id==8
    fprintf(fid_log,'Will delete old result files!\n');
    fprintf(fid_log_all,'Will delete old result files!\n');
    
elseif id==9
    fprintf(fid_log,'Skipping Plots...\n');
    fprintf(fid_log_all,'Skipping Plots...\n');
elseif id==10
    fprintf(fid_log,'Will create Plots!\n');
    fprintf(fid_log_all,'Will create Plots!\n');
    
elseif id==11
    fprintf(fid_log,'ERROR: Problem detected when reading loopdata! Exiting...\n');
    fprintf(fid_log_all,'ERROR: Problem detected when reading loopdata! Exiting...\n');
    
elseif id==12
    fprintf(fid_log,'Loopdata instances sucessfully read...\n');
    fprintf(fid_log_all,'Loopdata instances sucessfully read...\n');
    
elseif id==13
    fprintf(fid_log,'ERROR: Could not find any initial results file! Exiting...\n');
    fprintf(fid_log_all,'ERROR: Could not find any initial results file! Exiting...\n');
    
elseif id==14
    fprintf(fid_log,'ERROR: Too many initial results files! Exiting...\n');
    fprintf(fid_log_all,'ERROR: Too many initial results files! Exiting...\n');
    
elseif id==15
    fprintf(fid_log,'Initial Fatigue Life sucessfully found...\n');
    fprintf(fid_log_all,'Initial Fatigue Life sucessfully found...\n');
    
elseif id==16
    fprintf(fid_log,'ERROR: Could not find any *.LIS files for damaged case(s)! Exiting...\n');
    fprintf(fid_log_all,'ERROR: Could not find any *.LIS files for damaged case(s)! Exiting...\n');
    
elseif id==17
    fprintf(fid_log,'Damaged case *.LIS files sucessfully found...\n');
    fprintf(fid_log_all,'Damaged case *.LIS files sucessfully found...\n');
    
elseif id==18
    fprintf(fid_log,'Initial Fatigue Life sucessfully read...\n');
    fprintf(fid_log_all,'Initial Fatigue Life sucessfully read...\n');    
    
elseif id==19
    fprintf(fid_log,'Damaged Fatigue Life sucessfully read...\n');
    fprintf(fid_log_all,'Damaged Fatigue Life sucessfully read...\n');        
    
elseif id==20
    fprintf(fid_log,'Compact results file created...\n');
    fprintf(fid_log_all,'Compact results file created...\n');
    
elseif id==21
    fprintf(fid_log,'ERROR: No *.SET file found in PWD! Exiting...\n');
    fprintf(fid_log_all,'ERROR: No *.SET file found in PWD! Exiting...\n');
    
elseif id==22
    fprintf(fid_log,'ERROR: Problem detected trying to read *.SET file! Exiting...\n');
    fprintf(fid_log_all,'ERROR: Problem detected trying to read *.SET file! Exiting...\n');
        
elseif id==23
    fprintf(fid_log,'All set files read with no problems...\n');
    fprintf(fid_log_all,'All set files read with no problems...\n');
    
elseif id==24
    fprintf(fid_log,'Found damage set #%s\n',opt_string);
    fprintf(fid_log_all,'Found damage set #%s\n',opt_string);
    
elseif id==25
    fprintf(fid_log,'Using previous defined compare sets: %s\n',opt_string);
    fprintf(fid_log_all,'Using previous defined compare sets: %s\n',opt_string);

elseif id==26
    fprintf(fid_log,'Selected damage set #%s\n',opt_string);
    fprintf(fid_log_all,'Selected damage set #%s\n',opt_string);
        
elseif id==27
    fprintf(fid_log,'FINISH! Program has executed all tasks successfully!');
    fprintf(fid_log,'\n\n###############################################\n');
    fprintf(fid_log_all,'FINISH! Program has executed all tasks successfully!');
    fprintf(fid_log_all,'\n\n###############################################\n');
    
    
    
%     
% elseif id==
%     fprintf(fid_log,'
%     fprintf(fid_log_all,'
    
% elseif id==
%     fprintf(fid_log,'
%     fprintf(fid_log_all,'
    
end

end
